using System;

namespace UnityEngine.Rendering.Universal
{
  
    [Serializable, VolumeComponentMenu("Post-processing/Blur")]
    public sealed class Blur : VolumeComponent, IPostProcessComponent
    {
        //[Tooltip("The strength of the blur filter. Acts as a multiplier for velocities.")]
        public ClampedFloatParameter intensity = new ClampedFloatParameter(0f, 0f, 20f);
        public ClampedIntParameter downSampleNum = new ClampedIntParameter(0, 0, 6);
        public ClampedIntParameter blurIterations = new ClampedIntParameter(0, 0, 8);
        public ColorParameter color = new ColorParameter(Color.white);

        public bool IsActive() => intensity.value > 0f && blurIterations.value > 0;

        public bool IsTileCompatible() => false;
    }
}
